"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
class EventLoopSpinner {
    constructor(thresholdMs = 10) {
        this.thresholdMs = thresholdMs;
        this.afterLastSpin = Date.now();
    }
    isStarving() {
        return Date.now() - this.afterLastSpin > this.thresholdMs;
    }
    reset() {
        this.afterLastSpin = Date.now();
    }
    spin() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return new Promise((resolve) => setImmediate(() => {
                this.reset();
                resolve();
            }));
        });
    }
}
exports.EventLoopSpinner = EventLoopSpinner;
//# sourceMappingURL=event-loop-spinner.js.map