"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const docker_1 = require("../docker");
function detect(targetImage, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const docker = new docker_1.Docker(targetImage, options);
        const info = yield docker.inspectImage(targetImage);
        return JSON.parse(info.stdout)[0];
    });
}
exports.detect = detect;
function pullIfNotLocal(targetImage, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const docker = new docker_1.Docker(targetImage);
        try {
            yield docker.inspectImage(targetImage);
            return;
        }
        catch (err) {
            // image doesn't exist locally
        }
        yield docker.pull(targetImage);
    });
}
exports.pullIfNotLocal = pullIfNotLocal;
//# sourceMappingURL=image-inspector.js.map