"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const stream_utils_1 = require("../../../stream-utils");
exports.getNodeBinariesFileContentAction = {
    actionName: "node",
    fileNamePattern: "**/node",
    callback: stream_utils_1.streamToHash,
};
function getBinariesHashes(extractedLayers) {
    const hashes = new Set();
    for (const fileName of Object.keys(extractedLayers)) {
        for (const actionName of Object.keys(extractedLayers[fileName])) {
            if (actionName !== exports.getNodeBinariesFileContentAction.actionName) {
                continue;
            }
            if (!(typeof extractedLayers[fileName][actionName] === "string")) {
                throw new Error("expected string");
            }
            hashes.add(extractedLayers[fileName][actionName]);
        }
    }
    return [...hashes];
}
exports.getBinariesHashes = getBinariesHashes;
//# sourceMappingURL=index.js.map