"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const gitTargetBuilder = require("./target-builders/git");
const invalid_remote_url_error_1 = require("../errors/invalid-remote-url-error");
const TARGET_BUILDERS = [gitTargetBuilder];
async function getInfo(packageInfo, options) {
    for (const builder of TARGET_BUILDERS) {
        const target = await builder.getInfo(packageInfo);
        if (target) {
            const remoteUrl = options['remote-repo-url'];
            if (!remoteUrl) {
                return target;
            }
            if (typeof remoteUrl !== 'string') {
                throw new invalid_remote_url_error_1.InvalidRemoteUrlError();
            }
            return Object.assign(Object.assign({}, target), { remoteUrl });
        }
    }
    return null;
}
exports.getInfo = getInfo;
//# sourceMappingURL=index.js.map