"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const gitUrlParse = require("git-url-parse");
const subProcess = require("../../sub-process");
async function getInfo(packageInfo) {
    if (packageInfo.docker) {
        return null;
    }
    const target = {};
    try {
        const origin = (await subProcess.execute('git', ['remote', 'get-url', 'origin'])).trim();
        if (origin) {
            const parsedOrigin = gitUrlParse(origin);
            target.remoteUrl = parsedOrigin.toString('http');
        }
    }
    catch (err) {
        // Swallowing exception since we don't want to break the monitor if there is a problem
        // executing git commands.
    }
    try {
        target.branch = (await subProcess.execute('git', ['rev-parse', '--abbrev-ref', 'HEAD'])).trim();
    }
    catch (err) {
        // Swallowing exception since we don't want to break the monitor if there is a problem
        // executing git commands.
    }
    return target;
}
exports.getInfo = getInfo;
//# sourceMappingURL=git.js.map